Marketing Data
Esta página no está disponible en español. Se muestra la versión en inglés.
Replace Client Marketing Data
Replaces the client marketing data. Mutable fields missing from the payload are removed; immutable fields are kept and cannot be changed once set.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
clientId*integer
Client Id
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/clients/1/marketing-data" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "key": "utm_source", "value": "google" } ] }'{ "total": 0, "data": [ { "key": "utm_source", "title": "UTM Source", "group": "attribution_and_tracking", "dataType": "string", "mutability": "mutable", "value": "google", "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00" } ]}{ "error": { "message": "Bad Request", "code": 0, "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Not Found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}